/**
 * Adobe Helium: symbol definitions
 */
window.symbols = {
"stage": {
   version: "0.1",
   baseState: "Base State",
   initialState: "Base State",
   parameters: {

   },
   content: {
      dom: [
        {
            id:'Image1',
            type:'image',
            rect:[0,0,100,100],
            fill:['rgba(0,0,0,0)','images/ps.jpg'],
        },
        {
            id:'Text1',
            type:'text',
            rect:[192,70,0,0],
            text:"Photoshop",
            font:["Arial Black, Gadget, sans-serif",24,"rgba(0,0,0,1)","normal","none",""],
        },
        {
            id:'Image2',
            type:'image',
            rect:[0,0,100,100],
            fill:['rgba(0,0,0,0)','images/fl.jpg'],
        },
        {
            id:'Text2',
            type:'text',
            rect:[161,32,0,0],
            text:"Flash",
            align:"auto",
            font:["\'Arial Black\', Gadget, sans-serif",55,"rgba(0,0,0,1)","normal","none","normal"],
        },
        {
            id:'Image3',
            type:'image',
            rect:[0,0,100,100],
            fill:['rgba(0,0,0,0)','images/ai.jpg'],
        },
        {
            id:'Text3',
            type:'text',
            rect:[165,21,0,0],
            text:"Illustrator",
            font:["Arial Black, Gadget, sans-serif",[24,""],"rgba(0,0,0,1)","normal","none",""],
        },
      ],
      symbolInstances: [
      ],
   },
   states: {
      "Base State": {
         "#Image1": [
            ["style", "opacity", '0.95294117647059'],
            ["transform", "translateY", '-81px'],
            ["transform", "translateX", '39px']
         ],
         "#stage": [
            ["style", "height", '150px'],
            ["color", "background-color", 'rgba(227,227,227,1.00)'],
            ["style", "width", '550px']
         ],
         "#Image2": [
            ["style", "opacity", '0.95294117647059'],
            ["transform", "translateY", '-100px'],
            ["transform", "translateX", '37px']
         ],
         "#Image3": [
            ["style", "opacity", '0.95294117647059'],
            ["transform", "translateY", '-100px'],
            ["transform", "translateX", '36px']
         ],
         "#Text3": [
            ["transform", "translateX", '-7px'],
            ["style", "font-size", '55px'],
            ["style", "height", '68.6757px'],
            ["style", "opacity", '0'],
            ["transform", "translateY", '11.3243px'],
            ["style", "width", '274.703px']
         ],
         "#Text2": [
            ["style", "opacity", '0'],
            ["transform", "translateY", '0px'],
            ["transform", "translateX", '-3px']
         ],
         "#Text1": [
            ["transform", "translateX", '-34px'],
            ["style", "width", '369px'],
            ["style", "height", '78px'],
            ["style", "opacity", '0'],
            ["transform", "translateY", '-37px'],
            ["style", "font-size", '55px']
         ]
      }
   },
   actions: {

   },
   bindings: [

   ],
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 3250,
         timeline: [
            { id: "eid49", tween: [ "transform", "#Text2", "translateY", '0px', { valueTemplate: undefined, fromValue: '0px'}], position: 1000, duration: 0, easing: "linear" },
            { id: "eid59", tween: [ "style", "#Image2", "opacity", '0', { valueTemplate: undefined, fromValue: '0.952941'}], position: 2000, duration: 250, easing: "linear" },
            { id: "eid2", tween: [ "style", "#stage", "height", '150px', { valueTemplate: undefined, fromValue: '150px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid16", tween: [ "style", "#Text1", "height", '78px', { valueTemplate: undefined, fromValue: '78px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid21", tween: [ "style", "#Text1", "font-size", '55px', { valueTemplate: undefined, fromValue: '55px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid7", tween: [ "transform", "#Image1", "translateX", '39px', { valueTemplate: undefined, fromValue: '39px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid36", tween: [ "transform", "#Image2", "translateY", '25px', { valueTemplate: undefined, fromValue: '-100px'}], position: 1000, duration: 250, easing: "linear" },
            { id: "eid43", tween: [ "style", "#Image1", "opacity", '0', { valueTemplate: undefined, fromValue: '0.952941'}], position: 1000, duration: 250, easing: "linear" },
            { id: "eid17", tween: [ "style", "#Text1", "width", '369px', { valueTemplate: undefined, fromValue: '369px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid34", tween: [ "transform", "#Image2", "translateX", '37px', { valueTemplate: undefined, fromValue: '37px'}], position: 1000, duration: 0, easing: "linear" },
            { id: "eid79", tween: [ "style", "#Image3", "opacity", '0', { valueTemplate: undefined, fromValue: '0.952941'}], position: 3000, duration: 250, easing: "linear" },
            { id: "eid51", tween: [ "style", "#Text2", "opacity", '1', { valueTemplate: undefined, fromValue: '0'}], position: 1000, duration: 250, easing: "linear" },
            { id: "eid75", tween: [ "style", "#Text2", "opacity", '0', { valueTemplate: undefined, fromValue: '1'}], position: 2000, duration: 250, easing: "linear" },
            { id: "eid31", tween: [ "style", "#Text1", "opacity", '1', { valueTemplate: undefined, fromValue: '0'}], position: 112, duration: 250, easing: "linear" },
            { id: "eid52", tween: [ "style", "#Text1", "opacity", '0', { valueTemplate: undefined, fromValue: '1'}], position: 1000, duration: 250, easing: "linear" },
            { id: "eid22", tween: [ "transform", "#Text1", "translateY", '-37px', { valueTemplate: undefined, fromValue: '-37px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid56", tween: [ "transform", "#Image3", "translateY", '25px', { valueTemplate: undefined, fromValue: '-100px'}], position: 2000, duration: 250, easing: "linear" },
            { id: "eid48", tween: [ "transform", "#Text2", "translateX", '-3px', { valueTemplate: undefined, fromValue: '-3px'}], position: 1000, duration: 0, easing: "linear" },
            { id: "eid74", tween: [ "style", "#Text3", "opacity", '1', { valueTemplate: undefined, fromValue: '0'}], position: 2000, duration: 250, easing: "linear" },
            { id: "eid78", tween: [ "style", "#Text3", "opacity", '0', { valueTemplate: undefined, fromValue: '1'}], position: 3000, duration: 250, easing: "linear" },
            { id: "eid19", tween: [ "transform", "#Text1", "translateX", '-34px', { valueTemplate: undefined, fromValue: '-34px'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid3", tween: [ "color", "#stage", "background-color", 'rgba(227,227,227,1.00)', { animationColorSpace: 'RGB', valueTemplate: undefined, fromValue: 'rgba(227,227,227,1.00)'}], position: 0, duration: 0, easing: "linear" },
            { id: "eid53", tween: [ "transform", "#Image3", "translateX", '36px', { valueTemplate: undefined, fromValue: '36px'}], position: 2000, duration: 0, easing: "linear" },
            { id: "eid69", tween: [ "transform", "#Text3", "translateX", '-7px', { valueTemplate: undefined, fromValue: '-7px'}], position: 2000, duration: 0, easing: "linear" },
            { id: "eid70", tween: [ "transform", "#Text3", "translateY", '11.3243px', { valueTemplate: undefined, fromValue: '11.3243px'}], position: 2000, duration: 0, easing: "linear" },
            { id: "eid29", tween: [ "transform", "#Image1", "translateY", '25px', { valueTemplate: undefined, fromValue: '-81px'}], position: 0, duration: 250, easing: "linear" }]
      }
   },
}};

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     $.Edge.initialize(symbols);
});
/**
 * Adobe Edge Timeline Launch
 */
$(window).load(function() {
    $.Edge.play();
});
